Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/Application.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/Application.java	(revision 3892)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/Application.java	(revision 3893)
@@ -110,12 +110,12 @@
 		List<String> argsList = Arrays.asList((String[]) (args.get("application.args"))); //$NON-NLS-1$
 		System.out.println(TXMCoreMessages.bind(TXMUIMessages.argsColonP0, argsList));
 		
-		headlessMode = argsList.contains("--headless");
+		headlessMode = argsList.contains("--headless"); //$NON-NLS-1$
 		if (headlessMode) {
 			return startHeadLess(argsList);
 		}
 		
-		restMode = argsList.contains("--rest");
+		restMode = argsList.contains("--rest"); //$NON-NLS-1$
 		if (restMode) {
 			return startRest(argsList);
 		}
@@ -197,7 +197,7 @@
 		}
 		
 		if (argsList.contains("-run") //$NON-NLS-1$
-				|| System.getProperty("os.name").contains("Mac") //$NON-NLS-1$
+				|| System.getProperty("os.name").contains("Mac") //$NON-NLS-1$ //$NON-NLS-2$
 				|| Platform.inDevelopmentMode()) { // special case when TXM is run with Eclipse
 			System.out.println("Running TXM"); //$NON-NLS-1$
 			// FIXME: need to check that all has been well moved in Workspace class or build.properties
@@ -292,7 +292,7 @@
 	}
 	
 	private int startRest(List<String> argsList) throws IllegalStateException, IOException {
-		System.out.println("NOT IMPLEMENTED");
+		System.out.println("NOT IMPLEMENTED"); //$NON-NLS-1$
 		
 		return 0;
 	}
@@ -308,43 +308,43 @@
 		try {
 			if (Toolbox.initialize(TBXPreferences.class, new LogMonitor())) {
 				
-				if (argsList.contains("--action=list")) {
+				if (argsList.contains("--action=list")) { //$NON-NLS-1$
 					ret = doList();
 				}
 				
-				if (argsList.contains("--action=new")) {
-					String path = argsList.get(argsList.indexOf("--action=new") + 1);
+				if (argsList.contains("--action=new")) { //$NON-NLS-1$
+					String path = argsList.get(argsList.indexOf("--action=new") + 1); //$NON-NLS-1$
 					File sourcePath = new File(path);
 					
-					String name = argsList.get(argsList.indexOf("--action=new") + 2);
+					String name = argsList.get(argsList.indexOf("--action=new") + 2); //$NON-NLS-1$
 					
 					ret = doNew(sourcePath, name);
 					
-				} else if (argsList.contains("--action=import")) {
+				} else if (argsList.contains("--action=import")) { //$NON-NLS-1$
 					String path = argsList.get(argsList.size() -1);
 					File sourcePath = new File(path);
 					
 					ret = doImport(sourcePath);
-				} else if (argsList.contains("--action=export")) {
+				} else if (argsList.contains("--action=export")) { //$NON-NLS-1$
 					String path = argsList.get(argsList.size() -1).trim();
 					ret = doExport(path);
-				} else if (argsList.contains("--action=remove")) {
+				} else if (argsList.contains("--action=remove")) { //$NON-NLS-1$
 					String path = argsList.get(argsList.size() -1).trim();
 					ret = doRemove(path);
-				} else if (argsList.contains("--action=command")) {
+				} else if (argsList.contains("--action=command")) { //$NON-NLS-1$
 					
 					String name = argsList.get(argsList.size() -2).trim();
 					
 					String path = argsList.get(argsList.size() -1).trim();
 					
 					ret = doCommand(name, path);
-				} else if (argsList.contains("--action=groovy")) {
+				} else if (argsList.contains("--action=groovy")) { //$NON-NLS-1$
 					
 					
-					String path = argsList.get(argsList.indexOf("--action=groovy") + 1).trim();
+					String path = argsList.get(argsList.indexOf("--action=groovy") + 1).trim(); //$NON-NLS-1$
 					
 					ret = doGroovy(path, argsList);
-				} else if (argsList.contains("--action=R")) {
+				} else if (argsList.contains("--action=R")) { //$NON-NLS-1$
 					
 					
 					String path = argsList.get(argsList.size() -1).trim();
@@ -355,7 +355,7 @@
 				Toolbox.workspace.saveParameters(true);
 				Toolbox.shutdown();
 			} else {
-				Log.severe("Toolbox not initialized - good luck");
+				Log.severe("Toolbox not initialized - good luck"); //$NON-NLS-1$
 			}
 		} catch (Exception e) {
 			// TODO Auto-generated catch block
@@ -371,7 +371,7 @@
 		File script = new File(path);
 		if (!script.isFile()) return -1;
 		if (!script.exists()) return -1;
-		if (!script.getName().endsWith(".groovy")) return -1;
+		if (!script.getName().endsWith(".groovy")) return -1; //$NON-NLS-1$
 		try {
 			JobHandler job = ExecuteScript.executeScript(path, null, new StructuredSelection(), argsList);
 			if (job != null) {
@@ -389,12 +389,12 @@
 		File script = new File(path);
 		if (!script.isFile()) return -1;
 		if (!script.exists()) return -1;
-		if (!script.getName().endsWith(".R")) return -1;
+		if (!script.getName().endsWith(".R")) return -1; //$NON-NLS-1$
 		
 		EnginesManager<? extends Engine> em = Toolbox.getEngineManager(EngineType.STATS);
 		if (em == null) return -1;
 		
-		Engine e = em.getEngine("R");
+		Engine e = em.getEngine("R"); //$NON-NLS-1$
 		if (e == null || !e.isRunning()) return -1;
 		
 		JobHandler job = ExecuteScript.executeScript(path, null, new StructuredSelection(), argsList);
@@ -420,17 +420,17 @@
 		
 		int ret = IApplication.EXIT_OK;
 		if (path.length() == 0) {
-			System.err.println("No corpus name provided.");
+			System.err.println("No corpus name provided."); //$NON-NLS-1$
 			ret = -1;
 		} else {
 			Project p = Workspace.getInstance().getProject(path);
 			if (p == null) {
-				System.err.println("No corpus found with name: "+path);
+				System.err.println("No corpus found with name: "+path); //$NON-NLS-1$
 				ret = -1;
 			} else {
-				File f = new File(Toolbox.getTxmHomePath(), path+".txm");
+				File f = new File(Toolbox.getTxmHomePath(), path+".txm"); //$NON-NLS-1$
 				p.export(f);
-				System.out.println("Exported file: "+f.getAbsolutePath());
+				System.out.println("Exported file: "+f.getAbsolutePath()); //$NON-NLS-1$
 			}
 		}
 		return ret;
@@ -440,13 +440,13 @@
 		
 		int ret = IApplication.EXIT_OK;
 		if (name.length() == 0) {
-			System.err.println("No command name parameter provided. Ex: concordance, index");
+			System.err.println("No command name parameter provided. Ex: concordance, index"); //$NON-NLS-1$
 			ret = -1;
 		} else if (path.length() == 0) {
-			System.err.println("No target path parameter provided. Ex: corpus path /VOEUX , concordance name /VOEUX/myconc");
+			System.err.println("No target path parameter provided. Ex: corpus path /VOEUX , concordance name /VOEUX/myconc"); //$NON-NLS-1$
 			ret = -1;
 		} else {
-			System.out.println("CALL: "+name+ " WITH "+path);
+			System.out.println("CALL: "+name+ " WITH "+path); //$NON-NLS-1$ //$NON-NLS-2$
 			CommandsAPI api = new CommandsAPI();
 			api.call(name, Workspace.getResult(path), new TXMParameters());
 					
@@ -459,16 +459,16 @@
 		int ret = IApplication.EXIT_OK;
 		
 		if (path.length() == 0) {
-			System.err.println("No corpus name provided.");
+			System.err.println("No corpus name provided."); //$NON-NLS-1$
 			ret = -1;
 		} else {
 			Project p = Workspace.getInstance().getProject(path);
 			if (p == null) {
-				System.err.println("No corpus found with name: "+path);
+				System.err.println("No corpus found with name: "+path); //$NON-NLS-1$
 				ret = -1;
 			} else {
 				p.delete();
-				System.out.println("Deleted corpus: "+path);
+				System.out.println("Deleted corpus: "+path); //$NON-NLS-1$
 			}
 		}
 		return ret;
@@ -478,13 +478,13 @@
 		
 		int ret = IApplication.EXIT_OK;
 		if (!sourcePath.exists()) {
-			System.err.println("No TXM corpus file found: "+sourcePath);
+			System.err.println("No TXM corpus file found: "+sourcePath); //$NON-NLS-1$
 			ret = -1;
 		} else if (!sourcePath.canRead()) {
-			System.err.println("Cannot read TXM corpus file: "+sourcePath);
+			System.err.println("Cannot read TXM corpus file: "+sourcePath); //$NON-NLS-1$
 			ret = -1;
-		} else if (!sourcePath.getName().endsWith(".txm") || !sourcePath.isFile()) {
-			System.err.println("Not a TXM corpus file: "+sourcePath);
+		} else if (!sourcePath.getName().endsWith(".txm") || !sourcePath.isFile()) { //$NON-NLS-1$
+			System.err.println("Not a TXM corpus file: "+sourcePath); //$NON-NLS-1$
 			ret = -1;
 		} else { // DO IT
 			Project p = Load080BinaryCorpus.loadBinaryCorpusArchive(sourcePath, new LogMonitor(), true);
@@ -504,13 +504,13 @@
 		int ret = IApplication.EXIT_OK;
 		
 		if (!sourcePath.exists()) {
-			System.err.println("No source directory found: "+sourcePath);
+			System.err.println("No source directory found: "+sourcePath); //$NON-NLS-1$
 			ret = -1;
 		} else if (!sourcePath.canRead()) {
-			System.err.println("Cannot read source directory: "+sourcePath);
+			System.err.println("Cannot read source directory: "+sourcePath); //$NON-NLS-1$
 			ret = -1;
 		} else if (!sourcePath.isDirectory()) {
-			System.err.println("Not a source directory: "+sourcePath);
+			System.err.println("Not a source directory: "+sourcePath); //$NON-NLS-1$
 			ret = -1;
 		} else { // DO IT
 			Project p = org.txm.rcp.corpuswizard.ImportWizard.doCreateProject(sourcePath, name);
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/corpuswizard/ImportWizard.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/corpuswizard/ImportWizard.java	(revision 3892)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/corpuswizard/ImportWizard.java	(revision 3893)
@@ -89,7 +89,7 @@
 					project = new Project(Toolbox.workspace, name);
 				}
 				project.setSourceDirectory(path.getAbsolutePath());
-				project.setDescription(NLS.bind(TXMUIMessages.DashImportedByP0, System.getProperty("user.name"))); //$NON-NLS-2$ //$NON-NLS-1$
+				project.setDescription(NLS.bind(TXMUIMessages.DashImportedByP0, System.getProperty("user.name"))); //$NON-NLS-2$ //$NON-NLS-1$ //$NON-NLS-1$
 				project.setLang(Locale.getDefault().getLanguage().toLowerCase());
 				
 				project.getEditionDefinition("default").setEnableCollapsible(false); //$NON-NLS-1$
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/handlers/export/ExportCommand.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/handlers/export/ExportCommand.java	(revision 3892)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/handlers/export/ExportCommand.java	(revision 3893)
@@ -73,7 +73,7 @@
 		
 		Object o = selection.getFirstElement();
 		if (selection .isEmpty() || !(o instanceof TXMResult)) {
-			Log.warning("Slection must be a TXMResult");
+			Log.warning(TXMUIMessages.selectionMustBeACalculus);
 		}
 		
 		TXMResult result = (TXMResult)o;
@@ -87,8 +87,8 @@
 			
 			
 			String filepath = dialog.getZipFile().getAbsolutePath();
-			if (!(filepath.endsWith(".txmcmd"))) {
-				filepath += filepath + ".txmcmd";
+			if (!(filepath.endsWith(".txmcmd"))) { //$NON-NLS-1$
+				filepath += filepath + ".txmcmd"; //$NON-NLS-1$
 			}
 			
 			final File zipfiledir = new File(filepath); // temporary directory to setup the archive
@@ -96,7 +96,7 @@
 			zipfiledir.delete();
 			zipfiledir.mkdirs();
 			
-			final File zipfile = new File(filepath+".tmp");
+			final File zipfile = new File(filepath+".tmp"); //$NON-NLS-1$
 			
 			JobHandler jobhandler = new JobHandler(TXMUIMessages.exportingResults) {
 				
@@ -151,7 +151,7 @@
 								r.compute(subMonitor); // refresh result
 							}
 							
-							File outfile = new File(zipfiledir, (TXMPreferences.getNode(r.getParametersNodePath()).name()+".parameters"));
+							File outfile = new File(zipfiledir, (TXMPreferences.getNode(r.getParametersNodePath()).name()+".parameters")); //$NON-NLS-1$
 							if (r.toParametersFile(outfile)) {
 								files.add(outfile);
 							}
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/handlers/export/ExportCommandDialog.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/handlers/export/ExportCommandDialog.java	(revision 3892)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/handlers/export/ExportCommandDialog.java	(revision 3893)
@@ -20,6 +20,7 @@
 import org.txm.Toolbox;
 import org.txm.core.preferences.TXMPreferences;
 import org.txm.core.results.TXMResult;
+import org.txm.rcp.messages.TXMUIMessages;
 
 /**
  * 
@@ -61,7 +62,7 @@
 	@Override
 	protected void configureShell(Shell newShell) {
 		super.configureShell(newShell);
-		newShell.setText(NLS.bind("Exporting command {0}", result.getName()));
+		newShell.setText(NLS.bind(TXMUIMessages.exportingCalculusP0, result.getName()));
 		newShell.setMinimumSize(400, 300);
 	}
 	
@@ -74,7 +75,7 @@
 		layout.numColumns = 3;
 		
 		Label l = new Label(comp, SWT.LEFT);
-		l.setText("Output file");
+		l.setText(TXMUIMessages.outputFile);
 		l.setLayoutData(new GridData(GridData.BEGINNING, GridData.CENTER, false, false));
 		
 		textField = new Text(comp, SWT.SINGLE | SWT.BORDER);
@@ -121,7 +122,7 @@
 		});
 		
 		l = new Label(comp, SWT.LEFT);
-		l.setText("Options");
+		l.setText(TXMUIMessages.options);
 		l.setLayoutData(new GridData(GridData.BEGINNING, GridData.CENTER, false, false, 3, 1));
 		
 		exportParentsButton = new Button(comp, SWT.CHECK);
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/handlers/export/ImportCommand.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/handlers/export/ImportCommand.java	(revision 3892)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/handlers/export/ImportCommand.java	(revision 3893)
@@ -96,11 +96,11 @@
 		}
 		try {
 			if (dialog.open() != null) {
-				StatusLine.setMessage("Importing results...");
+				StatusLine.setMessage(TXMUIMessages.importingTheCalculus);
 				String filepath = dialog.getFilterPath()+ "/" + dialog.getFileName(); //$NON-NLS-1$
 				
 				final File zipfile = new File(filepath);
-				File outdir = new File(Toolbox.getTxmHomePath(),  "results/import");
+				File outdir = new File(Toolbox.getTxmHomePath(),  "results/import"); //$NON-NLS-1$
 				DeleteDir.deleteDirectory(outdir);
 				
 				Zip.decompress(zipfile, outdir, false);
@@ -114,7 +114,7 @@
 				Arrays.sort(files);
 				
 				for (File parametersFile : files) { // read parameters files
-					if (!parametersFile.getName().endsWith(".parameters")) continue;
+					if (!parametersFile.getName().endsWith(".parameters")) continue; //$NON-NLS-1$
 					
 					Properties props = new Properties();
 					BufferedReader r = IOUtils.getReader(parametersFile);
@@ -175,8 +175,8 @@
 								
 								Class<?> cl = bundle.loadClass(className);
 								
-								String resultNodePath = defaultParentResult.getProject().getParametersNodeRootPath() + TXMResult.createUUID() + "_" + cl.getSimpleName();
-								Log.info("Importing a "+cl.getSimpleName()+" from "+resultNodePath);
+								String resultNodePath = defaultParentResult.getProject().getParametersNodeRootPath() + TXMResult.createUUID() + "_" + cl.getSimpleName(); //$NON-NLS-1$
+								Log.info(TXMUIMessages.importingAP0From+cl.getSimpleName()+" from "+resultNodePath); //$NON-NLS-2$
 								TXMResult parent = null;
 								
 								if (parent == null && UUIDDependencies.get(UUID) != null) {
@@ -190,7 +190,7 @@
 								// fill the preference node with the right parameter **and then** set the right parent node path 
 								for (Object p : props.keySet()) {
 									String ps = p.toString();
-									TXMPreferences.put(resultNodePath, ps, props.getProperty(ps, ""));
+									TXMPreferences.put(resultNodePath, ps, props.getProperty(ps, "")); //$NON-NLS-1$
 								}
 								TXMPreferences.put(resultNodePath, TXMPreferences.PARENT_PARAMETERS_NODE_PATH, parent.getParametersNodePath());
 								
@@ -208,7 +208,7 @@
 								return Status.CANCEL_STATUS;
 							}
 							catch (Exception e) {
-								Log.info(NLS.bind("Error while loading result {0}: {1}", s, e));
+								Log.info(NLS.bind(TXMUIMessages.errorWhileLoadingCalculusP0P1, s, e));
 								org.txm.utils.logger.Log.printStackTrace(e);
 								if (importedResult != null) {
 									importedResult.delete();
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/handlers/results/CopyTXMResult.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/handlers/results/CopyTXMResult.java	(revision 3892)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/handlers/results/CopyTXMResult.java	(revision 3893)
@@ -64,7 +64,7 @@
 		CopyTXMResultTree.all = false;
 		CopyTXMResultTree.cut = false;
 		
-		Log.info(NLS.bind("Copy {0}", selection.getFirstElement()));
+		Log.info(NLS.bind(TXMUIMessages.copyP0, selection.getFirstElement()));
 		return selection.getFirstElement();
 		
 	}
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/handlers/results/CopyTXMResultTree.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/handlers/results/CopyTXMResultTree.java	(revision 3892)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/handlers/results/CopyTXMResultTree.java	(revision 3893)
@@ -79,7 +79,7 @@
 		all = true;
 		cut = false;
 		
-		Log.info(NLS.bind("Copy {0} and its children", selection.getFirstElement()));
+		Log.info(NLS.bind(TXMUIMessages.copyP0AndItsChildren, selection.getFirstElement()));
 		return srcNode;
 	}
 	
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/handlers/results/CutTXMResult.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/handlers/results/CutTXMResult.java	(revision 3892)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/handlers/results/CutTXMResult.java	(revision 3893)
@@ -76,7 +76,7 @@
 		CopyTXMResultTree.all = false;
 		CopyTXMResultTree.cut = true;
 		
-		Log.info(NLS.bind("Cut {0}", selection.getFirstElement()));
+		Log.info(NLS.bind(TXMUIMessages.cutP0, selection.getFirstElement()));
 		return selection.getFirstElement();
 	}
 	
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/handlers/results/CutTXMResultTree.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/handlers/results/CutTXMResultTree.java	(revision 3892)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/handlers/results/CutTXMResultTree.java	(revision 3893)
@@ -76,7 +76,7 @@
 		CopyTXMResultTree.all = true;
 		CopyTXMResultTree.cut = true;
 		
-		Log.info(NLS.bind("Cut {0} and its children", selection.getFirstElement()));
+		Log.info(NLS.bind(TXMUIMessages.cutP0AndItsChildren, selection.getFirstElement()));
 		return selection.getFirstElement();
 	}
 	
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/handlers/results/PasteTXMResultTree.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/handlers/results/PasteTXMResultTree.java	(revision 3892)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/handlers/results/PasteTXMResultTree.java	(revision 3893)
@@ -74,12 +74,12 @@
 		TXMResult srcNode =  CopyTXMResultTree.srcNode;
 		
 		if (srcNode == null) {
-			Log.fine("Nothing to paste");
+			Log.fine(TXMUIMessages.nothingToPaste);
 			return null;
 		}
 		
 		if (srcNode.getParent() == null) {
-			Log.fine("Error: result parent is null");
+			Log.fine("Error: result parent is null"); //$NON-NLS-1$
 			return null;
 		}
 		
@@ -92,7 +92,7 @@
 		}
 		
 		if (!srcNode.getParent().getResultType().equals(newParent.getResultType())) {
-			Log.warning(NLS.bind("New parent type ({0}) is different from the old parent type ({1})", newParent.getResultType(), srcNode.getParent().getResultType()));
+			Log.warning(NLS.bind(TXMUIMessages.newParentTypeP0IsDifferentFromTheOldParentTypeP1, newParent.getResultType(), srcNode.getParent().getResultType()));
 			return null;
 		}
 		
@@ -100,11 +100,11 @@
 			Log.info(TXMUIMessages.WarningOnlyParametersAreClonedManualChangesAreNotTransfered);
 		}
 		
-		Log.info(NLS.bind("Pasting {0} to {1}...", srcNode, newParent));
+		Log.info(NLS.bind(TXMUIMessages.pastingP0ToP1, srcNode, newParent));
 		
 		TXMResult result = srcNode.clone(newParent, CopyTXMResultTree.all);
 		if (result == null) {
-			Log.warning("Error: The result was not cloned.");
+			Log.warning(TXMUIMessages.errorTheResultWasNotCloned);
 		}
 		
 		if (CopyTXMResultTree.cut) {
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/handlers/files/DeleteFile.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/handlers/files/DeleteFile.java	(revision 3892)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/handlers/files/DeleteFile.java	(revision 3893)
@@ -107,7 +107,7 @@
 						File file = (File) o;
 						
 						if (!file.getAbsolutePath().startsWith(rootPath)) {
-							System.out.println("TXM won't delete files out of TXM working directory: "+file);
+							System.out.println(TXMUIMessages.txmWontDeleteFilesOutOfTXMWorkingDirectory+file);
 							continue;
 						}
 						
@@ -115,19 +115,19 @@
 							if (file.isFile()) {
 								if (definitive) {
 									if (!file.delete()) {
-										System.out.println(NLS.bind(TXMUIMessages.failedToDeleteFileP0, file));
+										System.out.println(NLS.bind("", file)); //$NON-NLS-1$
 									}
 								} else {
-									File dest = new File(System.getProperty("java.io.tmpdir"), file.getName());
+									File dest = new File(System.getProperty("java.io.tmpdir"), file.getName()); //$NON-NLS-1$
 									dest.delete();
 									if (!file.renameTo(dest)) {
-										System.out.println(NLS.bind("Fail to move the {0} file to the tmp directory: {1}", file, dest));
+										System.out.println(NLS.bind(TXMUIMessages.failToMoveTheP0FileToThxTMPDirectoryP1, file, dest));
 									}
 								}
 							}
 							else if (file.isDirectory()) {
 								if (!DeleteDir.deleteDirectory(file, definitive)) {
-									System.out.println(NLS.bind(TXMUIMessages.failedToDeleteFileP0, file));
+									System.out.println(NLS.bind("", file)); //$NON-NLS-1$
 								}
 							}
 						}
